Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Interface Range

Method Summary
`boolean` | `containsWithinBounds(Object o)` Gets the lower value in the range.
`Comparable` | `getFrom()` Gets the lower value in the range.
`Comparable` | `getTo()` Gets the lower value in the range.
`String` | `inspect()`
`boolean` | `isReverse()` Gets the lower value in the range.
`void` | `step(int step, Closure closure)`
`List` | `step(int step)` Forms a list by stepping through the range by the indicated interval.

Method Detail

### containsWithinBounds

    public boolean containsWithinBounds(Object o)

  Gets the lower value in the range.
  return:
    the lower value in the range.

### getFrom

    public Comparable getFrom()

  Gets the lower value in the range.
  return:
    the lower value in the range.

### getTo

    public Comparable getTo()

  Gets the lower value in the range.
  return:
    the lower value in the range.

### inspect

    public String inspect()

### isReverse

    public boolean isReverse()

  Gets the lower value in the range.
  return:
    the lower value in the range.

### step

    public void step(int step, Closure closure)

### step

    public List step(int step)

  Forms a list by stepping through the range by the indicated interval.
  param:
    step the amount by which to step. If negative, steps through the
  range backwards.
  return:
    the list formed by stepping through the range by the indicated
  interval.